label c_route_day3_wakeup:
    #scene bedroom
    "The sun shines down through the window, filtered through the fabric of the curtains."
    "Birds are chirping outside; It's a pretty peaceful morning all things considered."
    p "I should probably check on the boys... It sounds like they're already awake."
    "[playername!s] groggily rolls to the side of her bed and gets up, but as soon as she makes it to the door..."
    "{b}BOOM!"
    p "W-what the {i}hell{/i} was that?!"
    #scene livingroom
    t "That explosion was huge! Did they survive?!"
    d "Shush, keep watching, you'll find out out soon enough."
    p "E-eeh... Should've known the first thing Disc would do is watch movies in the morning..."
    d "Hey [playername!s] care to join us?"
    t "We're watching this one action movie Disc picked out, wanna join us?"
    "But before [playername!s] can even respond..."
    c "Nope, [playername!s] already promised that we'd go out for lunch today."
    menu:
        "Mhm! I did":
            c "Then you'd better get ready, we've got a long day ahead of us~"
        "Uhh, yeah- I did!":
            "Cel senses the hesitation, and simply chuckles."
            c "Then you'd better get ready, we've got a long day ahead of us-"
        "Hey, I don't remember saying that!":
            c "Pff, well too bad, I've got a schedule all laid out for us."
            p "H-hey!"
            c "You'd better get ready, we've got a long day ahead of us-"
    #scene bedroom
    "[playername!s] goes back to her room to get dressed, while Cel heads off"
    "She flings open her cabinet, digging out a bunch of clothes, spreading them out across the bed."
    p "Now, what should I wear..."
    menu:
        "Shirt and Jeans":
            "Cel knocks on the door to [playername!s] bedroom."
            "You finish changing up and open the door."
            p "Well, how do I look?"
            c "Cute! You've definitely got that casual college student look down..."
        "Pinafore Dress":
            p "Well, how do I look?"
            c "Cute! You've definitely got that girl next door look down..."
    c "But you can do better than that-"
    p "What's that supposed to mean?"
    "But before Cel can reply, the revving of a car engine can be heard outside."
    c "Looks like our ride is here-"
    #scene outdoors
    "The driver of the car that Cel hailed waits patiently for the two to enter. He opens the passenger side door for [playername!s]."
    c "Ladies first."
    "[playername!s] and Cel make themselves comfortable in the car."
    "The ride doesn't take too long, and soon enough [playername!s] and Cel find themselves at the mall."
    c "Let's get you something new to wear, those look alright, but your wardrobe could defintely use some spicing up."
    menu:
        "Sure!":
            "Cel excitedly takes [playername!s]'s hand, and leads you through various stores."
            "[playername!s] shops for a variety of outfits, with Cel giving little nudges on what he thinks looks cute."
            "He constantly reassures [playername!s] to buy anything she wants too, he'll take care of the price."
            "Soon, [playername!s] and Cel wrap up their shopping spree."
        "I think I'm fine with my current clothes...":
            p "I think I'm fine with what I'm wearing right now..."
            c "Really? Ahh, suit yourself."
            "There's a visible look of disappointment on Cel's face."

    c "So then, with that out of the way, where do you want to eat?"
    menu:
        "WcDonalds":
            c "Really? Fast food?"
            p "Hey, I gotta save money, I've got college and bills to pay for y'know."
            c "Yeah, and that was before, you have {i}me{/i} now."
            "Cel and [playername!s] head to WcDonalds and order a couple of pieces of chicken and burgers."
            "Cel watches [playername!s] scarf down her meal, taking small nibbles of a sandwich he ordered."
        "PizzaHouse":
            c "You know if you wanted Italian food, we could eat someplace much nicer."
            p "Hey, PizzaHouse was one of my favorite places to eat as a kid."
            "Cel seems to disapprove at first, but simply nods after a while and takes [playername!s] to PizzaHouse."
            "A waiter takes Cel and [playername!s] orders, and the two sit there and make idle talk for a while."
            c "So you used to eat here a lot as a kid?"
            p "Mhm! My dad used to take me here as a treat whenever I did well at school."
            c "Seems like you had a lot of good memories of him."
            p "Plenty of good memories, but I'm here to make new ones."
            "Cel smiles after hearing that."
            "The waiter brings in Cel and [playername!s] orders, and the two happily enjoy their meal."
    p "So Cel, I forgot to tell you, but..."
    c "Hm? But...?"
    p "We need to get you back to your home later."
    c "Home? What do you mean? We just left home earlier?"
    p "No silly, I mean to your {i}actual{/i} owner."
    c "O-oh..."
    c "Look, can we think about that later? For what it's worth, I'm really enjoying my time with you today, and I don't want to worry about these things right now."
    "[playername!s] nods, silently agreeing with Cel. The two of them finish up their food, and decide to spend the rest of the day out on the town."
    c "So, where to next?"
    menu:
        "Amusement Park":
            "[playername!s] and Cel head to the amusement park. There's plenty of people crowding the various booths and attractions."
            c "Yeesh, so crowded..."
            p "Yeah, but there's plenty opportunities for cute photos, and I know how much you like those."
            c "You know me so well!"
            "The two spend the day at the amusement park, taking plenty of photos."
            c "This one photo of you riding the carousel is really nice!"
            p "Oh, I like this one of you going down the rollercoaster, you look funny!"
            c "NO! That one looks terrible! We're deleting that one."
            p "Hah, kidding, all of your photos look great!"
        "Zoo":
            "[playername!s] and Cel head to the zoo. A huge assortment of animals are on display in their little habitats."
            c "So this is the zoo, I haven't really had an opportunity to go around here before."
            p "You're missing out! Let me show you around..."
            "[playername!s] takes Cel's hand and drags him around all her favorite exhibits."
            c "There's so many differnet animals here..."
            p "You really haven't been around very often then have you?"
            "Cel shakes his head."
            p "Well you've seen them now!"
    #scene sunset
    "Soon the sun begins to set, and it reminds [playername!s]..."
    p "Well, that was fun and all, but we need to get you home..."
    c "Ugh, yeah..."
    "Cel puts his hand on [playername!s]'s shoulder."
    c "I had lots of fun though, and I'm very happy we've had the chance to meet."
    p "I'm happy I got the chance to meet you too!"
    "[playername!s] calls up the number of Cel's owner, but gets no reply."
    c "Here, let me try-"
    "Cel tries it too, and again, receives no reply."
    p "Maybe there's an address we can get you to? Do you have one?"
    c "I do, but I'm not too sure how to get there from here. I think we can look it up on a map."
    p "Let's do that."
    "The two look up the address and follow an online map."
    "But halfway through the trip, the sky grows dark... a light drizzle begins to fall."
    "The connection grows weak, and the online map disappears."
    c "Oh sh-"
    p "What's wrong."
    c "I-Erm... N-nothing, let's keep going."
    "After about half an hour though, it seems like [playername!s] and Cel have been walking around in circles."
    p "Are you sure we haven't been here before Cel? I think I've seen this street corner like three times now..."
    c "I... Look ugh, I'm sorry... I-I don't exactly do well when there's no signal. I-I'm really sorry..."
    "The rain picks up, and the winds begin to blow. Cel and [playername!s] stand outside in the pouring rain."
    "Cel isn't sure what to do, but he tries his best, takes off his jacket, and uses it to cover up [playername!s]."
    p "Thanks Cel..."
    c "I'm sorry I messed up and got us into this mess..."
    menu:
        "It's not your fault Cel.":
            p "Look Cel, it's not your fault, the rain cut out the connection, you're fine."
            "Cel sighs heavily."
            c "I suppose you're right..."
            p "That's the spirit. Now let's find some way out of here..."
        "You might not be perfect but...":
            p "Look Cel, you might not be perfect, but..."
            c "But...?"
            p "I... I love you despite your flaws."
            "Cel stands there, dumbfounded by your statement."
            c "W-what was that?"
            p "I said {i}I love you{/i}, silly!"
            c "No that last part-"
            p "I love you {i}despite your flaws{/i}."
            "Cel stands there for a moment, saying nothing."
            "A few moments later he holds you in a tight hug."
    "The rain continues to pour, but finally after walking around for another couple of minutes, they find a cab."
    p "Let's get you home..."
    "Cel gives some directions to the driver, keeping you wrapped tight in his jacket to keep you dry."
    "After an hour in traffic, the taxi driver pulls up to [playername!s]'s house."
    p "Wait, why here?"
    c "This is home. I can get home fine, and besides, I think I'd like to spend at least {i}one{/i} more night with you and the others."
    "[playername!s] stands there wordlessly."
    c "Just one more night, please?"
    p "..."
    p "Okay. One more night."
